## kf6-kapidox 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(KApiDox NONE)

set(KF_VERSION "6.12.0") # handled by release scripts

if(DO_BOOTSTRAP)
    include(FindUnixCommands)

    if(WIN32)
        # Needs native path and extra escaping of spaces
        file(TO_NATIVE_PATH "${CMAKE_BINARY_DIR}" BINARY_DIR)
    else()
        set(BINARY_DIR ${CMAKE_BINARY_DIR})
    endif()

    add_custom_target(build ALL
        COMMAND ${BASH} bootstrap-devenv.sh
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
endif()

# A dummy install part to fulfill needs of kdesrc-build and possible make installs
install(RUNTIME_DEPENDENCY_SET kapidox OPTIONAL)

## kf6-kapidox 6.3.0

=== debian/changelog ===
kf6-kapidox (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:54:11 +0200

kf6-kapidox (6.0.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (6.0.0).
  * Change source package name.
  * Update upstream signing-key.
  * Rename packages to allow coninstallation with 5.
  * Update my email address.
  * Update dependencies according to cmake and python requirements.

  [ Patrick Franz ]
  * Update lintian-overrides.
  * Declare Conflicts to kapidox as they ship the same binaries.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 25 May 2024 15:18:08 +0200

kapidox (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Mar 2024 20:58:39 +0100

kapidox (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * New upstream release (5.107.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:24 +0200

kapidox (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:45 +0100

kapidox (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:20 +0100

kapidox (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:59 +0100

kapidox (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:18 +0100

kapidox (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * New upstream release (5.100.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:54 +0100

kapidox (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:32 +0200

kapidox (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:25 +0200

kapidox (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:53 +0200

kapidox (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

kapidox (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Refresh patch replace-minified-js-with-original.
  * Add patch fix-data-not-installed to fix data files not being installed
    correctly anymore since 5.92.
  * Refresh copyright information.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:42 +0200

kapidox (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Refresh lintian overrides.
  * Replace minified JS with original source.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Feb 2022 00:02:47 +0100

kapidox (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

kapidox (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:49:38 +0900

kapidox (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kapidox (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:28 +0900

kapidox (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:59 +0900

kapidox (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:13:27 +0900

kapidox (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Build with hardening=+all build hardening flag.

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:03:54 +0900

kapidox (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:16 +0900

kapidox (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:32 +0900

kapidox (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).



=== debian/control ===
Source: kf6-kapidox
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-linktree,
               dh-python,
               dh-sequence-kf6,
               doxyqml,
               libjs-bootstrap,
               libjs-jquery (>= 3.5.1+dfsg-3),
               python3,
               python3-certifi,
               python3-charset-normalizer,
               python3-doxypypy,
               python3-gv,
               python3-idna,
               python3-markupsafe,
               python3-pip,
               python3-pip-whl,
               python3-requests,
               python3-setuptools,
               python3-setuptools-whl,
               python3-urllib3,
               python3-virtualenv,
               python3-yaml,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/kapidox
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox.git

Package: kapidox6
Architecture: all
Depends: doxyqml,
         python3-certifi,
         python3-charset-normalizer,
         python3-doxypypy,
         python3-idna,
         python3-jinja2,
         python3-markupsafe,
         python3-requests,
         python3-urllib3,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-gv,
Conflicts: kapidox,
Description: API documentation generation tool for KDE frameworks
 Framework to aid in creating API documentation for KDE Frameworks in a
 standard format and style.
 .
 The Doxygen tool is used to do the actual documentation extraction and
 formatting, but this framework provides a wrapper script to make generating
 the documentation more convenient (including reading settings from the target
 framework or other module) and a standard template for the generated
 documentation.
 .
 Scripts currently provided are depdiagram-generate-all, kgenframeworksapidox,
 depdiagram-generate, kgenapidox, and depdiagram-prepare

## kf6-kapidox 6.6.0

=== debian/changelog ===
kf6-kapidox (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:03:57 +0100

kf6-kapidox (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:20:58 +0100

kf6-kapidox (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:27 +0100

## kf6-kapidox 6.9.0

=== debian/changelog ===
kf6-kapidox (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:44:18 +0000

kf6-kapidox (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:33:56 +0000

## kf6-kapidox 6.10.0

=== debian/changelog ===
kf6-kapidox (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 11:18:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kapidox
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
@@ -30,8 +31,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kapidox
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
 
 Package: kapidox6
 Architecture: all

## kf6-kapidox 6.11.0

=== debian/changelog ===
kf6-kapidox (6.11.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop unused build-dependency on libjs-bootstrap. (Closes: #1088421)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 23:45:15 +0100

kf6-kapidox (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:09 +0100

kf6-kapidox (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * New upstream release (6.10.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:20:22 +0100

kf6-kapidox (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:56:56 +0100

kf6-kapidox (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600

kf6-kapidox (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:58:59 +0200

kf6-kapidox (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:55 +0200

kf6-kapidox (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kf6-kapidox
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
@@ -11,7 +10,6 @@
                dh-python,
                dh-sequence-kf6,
                doxyqml,
-               libjs-bootstrap,
                libjs-jquery (>= 3.5.1+dfsg-3),
                python3,
                python3-certifi,
@@ -31,8 +29,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kapidox
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox.git
 
 Package: kapidox6
 Architecture: all

## kf6-kapidox 6.12.0

=== debian/changelog ===
kf6-kapidox (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:49:31 +0000

## kf6-kapidox 6.13.0

=== debian/changelog ===
kf6-kapidox (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:32:47 +0200

## kf6-kapidox 6.14.0

=== debian/changelog ===
kf6-kapidox (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:15 +0100

## kf6-kapidox 6.15.0

=== debian/changelog ===
kf6-kapidox (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:54 +0100

## kf6-kapidox 6.16.0

=== debian/changelog ===
kf6-kapidox (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:39:12 +0100

## kf6-kapidox 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 project(KApiDox NONE)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 
 if(DO_BOOTSTRAP)
     include(FindUnixCommands)

=== debian/changelog ===
kf6-kapidox (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:13:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kapidox
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
@@ -29,8 +30,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kapidox
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
 
 Package: kapidox6
 Architecture: all

## kf6-kapidox 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 project(KApiDox NONE)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 
 if(DO_BOOTSTRAP)
     include(FindUnixCommands)

=== debian/changelog ===
kf6-kapidox (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:13:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kf6-kapidox
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
@@ -27,11 +26,11 @@
                python3-urllib3,
                python3-virtualenv,
                python3-yaml,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kapidox
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kapidox
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox.git
 
 Package: kapidox6
 Architecture: all

## kf6-kapidox 6.18.0+p24.04+vstable+git20250908.1339

=== debian/changelog ===
kf6-kapidox (6.18.0+p24.04+vstable+git20250908.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:39:12 +0000

kf6-kapidox (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:31:05 +0000

kf6-kapidox (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:07:59 +0000

kf6-kapidox (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 05:59:30 +0000

kf6-kapidox (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:35:16 +0000

kf6-kapidox (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:22:31 +0000

kf6-kapidox (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:42:15 +0000

kf6-kapidox (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:49:00 +0000

kf6-kapidox (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Feb 2025 12:54:37 +1000

kf6-kapidox (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:27:44 +0000

kf6-kapidox (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:11:54 +0000

kf6-kapidox (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:20:45 +0000

kf6-kapidox (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:14:28 +0000

kf6-kapidox (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:21:02 +0000

kf6-kapidox (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:15:32 +0000

kf6-kapidox (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:34:35 +0000

kf6-kapidox (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:26:42 +1000

kf6-kapidox (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:48:48 +0000

kf6-kapidox (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:12:50 +0000

kf6-kapidox (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kapidox (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:12:08 +0000

=== debian/control ===
Source: kf6-kapidox
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-virtualenv,
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               libjs-bootstrap,
               libjs-jquery,
               python3-all,
               python3-pip,
               python3-pip-whl,
               python3-setuptools,
               python3-setuptools-whl,
               python3-virtualenv
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kapidox
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kapidox.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kapidox
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kapidox
Architecture: all
Depends: doxygen,
         graphviz,
         python3-all,
         python3-virtualenv,
         ${misc:Depends},
         ${shlibs:Depends}
Description: API documentation generation tool for KDE frameworks
 Framework to aid in creating API documentation for KDE Frameworks in a
 standard format and style.
 .
 The Doxygen tool is used to do the actual documentation extraction and
 formatting, but this framework provides a wrapper script to make generating
 the documentation more convenient (including reading settings from the target
 framework or other module) and a standard template for the generated
 documentation.
 .
 Scripts currently provided are depdiagram-generate-all, kgenframeworksapidox,
 depdiagram-generate, kgenapidox, and depdiagram-prepare

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_VIRTUALENV_INSTALL_ROOT=/usr/lib/kf6

PACKAGE=$(shell dh_listpackages)
DH_VENV_DIR=debian/$(PACKAGE)$(DH_VIRTUALENV_INSTALL_ROOT)/$(PACKAGE)

%:
	dh $@ -S --buildsystem=pybuild --with python-virtualenv --no-test

override_dh_virtualenv:
	dh_virtualenv --python=python3
	$(DH_VENV_DIR)/bin/python $(DH_VENV_DIR)/bin/pip install -U --upgrade-strategy eager -r requirements.frozen.txt

## kf6-kapidox 6.18.0+p24.04+vunstable+git20250908.1339

=== debian/changelog ===
kf6-kapidox (6.18.0+p24.04+vunstable+git20250908.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:39:14 +0000

## kf6-kapidox 6.19.0

=== debian/changelog ===
kf6-kapidox (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:03 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild --with linktree

override_dh_auto_clean:
	-dh_auto-clean

## kf6-kapidox 6.19.0+p24.04+vstable+git20251008.0745

=== debian/changelog ===
kf6-kapidox (6.19.0+p24.04+vstable+git20251008.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:45:54 +0000

kf6-kapidox (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:46:22 +0000

## kf6-kapidox 6.19.0+p24.04+vunstable+git20251008.0803

=== debian/changelog ===
kf6-kapidox (6.19.0+p24.04+vunstable+git20251008.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 08:03:46 +0000

## kf6-kapidox 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 project(KApiDox NONE)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 
 if(DO_BOOTSTRAP)
     include(FindUnixCommands)

=== debian/changelog ===
kf6-kapidox (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:23 +0100

## kf6-kapidox 6.20.0+p24.04+vunstable+git20251122.0640

=== debian/changelog ===
kf6-kapidox (6.20.0+p24.04+vunstable+git20251122.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:40:29 +0000

kf6-kapidox (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-kapidox 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 project(KApiDox NONE)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 
 if(DO_BOOTSTRAP)
     include(FindUnixCommands)

=== debian/changelog ===
kf6-kapidox (6.21.0-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:43:34 +0000

kf6-kapidox (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:47 +1000

## kf6-kapidox 6.21.0+p24.04+vstable+git20251207.0730

=== debian/changelog ===
kf6-kapidox (6.21.0+p24.04+vstable+git20251207.0730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:30:40 +0000

## kf6-kapidox 6.21.0+p24.04+vstable+git20260103.0141

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 project(KApiDox NONE)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 
 if(DO_BOOTSTRAP)
     include(FindUnixCommands)

## kf6-kapidox 6.22.0

=== debian/changelog ===
kf6-kapidox (6.22.0-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 08:18:23 +0000

kf6-kapidox (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:27 +1000

## kf6-kapidox 6.22.0+p24.04+vstable+git20260106.0914

=== debian/changelog ===
kf6-kapidox (6.22.0+p24.04+vstable+git20260106.0914-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:14:30 +0000

## kf6-kapidox 6.22.0+p24.04+vstable+git20260111.0051

=== debian/changelog ===
kf6-kapidox (6.22.0+p24.04+vstable+git20260111.0051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 00:51:50 +0000

## kf6-kapidox 6.22.0+p24.04+vunstable+git20260123.0218

=== debian/changelog ===
kf6-kapidox (6.22.0+p24.04+vunstable+git20260123.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:18:54 +0000

## kf6-kapidox 6.22.0+p24.04+vunstable+git20260209.0346

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 project(KApiDox NONE)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.24.0") # handled by release scripts
 
 if(DO_BOOTSTRAP)
     include(FindUnixCommands)

=== debian/changelog ===
kf6-kapidox (6.22.0+p24.04+vunstable+git20260209.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:46:09 +0000

## kf6-kapidox 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.27)
 project(KApiDox NONE)
 
-set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 
 if(DO_BOOTSTRAP)
     include(FindUnixCommands)

=== debian/changelog ===
kf6-kapidox (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:44 +0100

=== debian/control ===
Source: kf6-kapidox
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-linktree,
               dh-python,
               dh-sequence-kf6,
               doxyqml,
               libjs-jquery (>= 3.5.1+dfsg-3),
               python3,
               python3-certifi,
               python3-charset-normalizer,
               python3-doxypypy,
               python3-gv,
               python3-idna,
               python3-markupsafe,
               python3-pip,
               python3-pip-whl,
               python3-requests,
               python3-setuptools,
               python3-setuptools-whl,
               python3-urllib3,
               python3-virtualenv,
               python3-yaml,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kapidox
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kapidox.git

Package: kapidox6
Architecture: all
Depends: doxyqml,
         python3-certifi,
         python3-charset-normalizer,
         python3-doxypypy,
         python3-idna,
         python3-jinja2,
         python3-markupsafe,
         python3-requests,
         python3-urllib3,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-gv,
Conflicts: kapidox,
Description: API documentation generation tool for KDE frameworks
 Framework to aid in creating API documentation for KDE Frameworks in a
 standard format and style.
 .
 The Doxygen tool is used to do the actual documentation extraction and
 formatting, but this framework provides a wrapper script to make generating
 the documentation more convenient (including reading settings from the target
 framework or other module) and a standard template for the generated
 documentation.
 .
 Scripts currently provided are depdiagram-generate-all, kgenframeworksapidox,
 depdiagram-generate, kgenapidox, and depdiagram-prepare
